<?php
// ещедневный крон
// в функицю show присываем все необходимые операции
class c_services_updates
{

  function show()
  {
      header("Content-type: text/json");

      $result = [
          'current'=>_CLASS_VERS,
          'available'=>$this->getFiles()
      ];

      echo json_encode($result);
  }

  /*
    @return []
   */
  function getFiles()
  {
      $files=[];
      $dir = _DIR_TO_ROOT.'/updates/';
      $content = scandir($dir);

      if (is_array($content)) while ($file = array_shift($content)) {
          if ($this->isValid($file) && !is_dir($dir . $file)) $files[]=$file;
      }

      return $files;
  }

  function isValid($filename)
  {
      $regexp = '/^esmo\-full-\d+\.work\.zip/';
      return preg_match($regexp, $filename);
  }
}
?>